<template>
  <form class="needs-validation" novalidate>
    <div class="mb-3">
      <label class="form-label">WSU ID:</label>
      <small class="text-body-secondary"> can be found on WSU One Card - 7 digits</small>
      <input v-if="existingGuest" v-model="studentData.wsuID" required minlength="7" maxlength="7" type="text" class="form-control" disabled />
      <input v-else v-model="studentData.wsuID" required minlength="7" maxlength="7" type="text" class="form-control" />
    </div>
		
    <div class="mb-3">
      <label>Resident:</label>
      <small class="text-body-secondary"> on campus select 'YES'. Commuters select 'NO'</small>
      <select v-model="studentData.resident" class="form-select" required>
        <option :value="true">Yes</option>
        <option :value="false">No</option>
      </select>
    </div>
		
    <div class="mb-3">
      <label>Zip code:</label>
      <small class="text-body-secondary"> of living location</small>
      <input v-model="studentData.zipCode" required minlength="5" maxlength="5" type="text" class="form-control" />
    </div>

    <div class="mb-3">
      <label class="form-label">Guest age:</label>
      <small class="text-body-secondary"> no less than 18</small>
      <input v-model="studentData.guestAge" type="number" required class="form-control" />
    </div>
		
    <div class="mb-3">
      <label class="form-label">Number in Household:</label>
      <small class="text-body-secondary"> living in the same house</small>
      <input v-model="studentData.numberInHousehold" required type="number" class="form-control" />
    </div>				
		
    <div class="mb-3">
      <label class="form-label">Unemployment benefits: </label>
      <small class="text-body-secondary"> received by student</small>
      <select v-model="studentData.unemployment" class="form-select" required>
        <option :value="true">Yes</option>
        <option :value="false">No</option>
      </select>
    </div>
		
    <div class="mb-3">
      <h5>Assistance:</h5>
			
      <div class="form-check">
        <input id="socSec" v-model="studentData.assistance.socSec" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="socSec">Social Security</label>
      </div>
			
      <div class="form-check">
        <input id="tanf" v-model="studentData.assistance.TANF" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="tanf">TANF</label>
      </div>

      <div class="form-check">
        <input id="finAid" v-model="studentData.assistance.finAid" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="finAid">Financial Aid</label>
      </div>

      <div class="form-check">
        <input id="otherAssistance" v-model="studentData.assistance.other" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="otherAssistance">Other</label>
      </div>

      <div class="form-check">
        <input id="snap" v-model="studentData.assistance.SNAP" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="snap">SNAP</label>
      </div>

      <div class="form-check">
        <input id="wic" v-model="studentData.assistance.WIC" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="wic">WIC</label>
      </div>

      <div class="form-check">
        <input id="breakfast" v-model="studentData.assistance.breakfast" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="breakfast">Breakfast</label>
      </div>

      <div class="form-check">
        <input id="lunch" v-model="studentData.assistance.lunch" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="lunch">Lunch</label>
      </div>

      <div class="form-check">
        <input id="sfsp" v-model="studentData.assistance.SFSP" class="form-check-input" type="checkbox" />
        <label class="form-check-label" for="sfsp">SFSP</label>
      </div>
    </div>
  </form>	
</template>

<script>
export default {
  props: {
		studentData: {
			type: Object,
			required: true,
			default: () => ({
				wsuID: String,
				resident: Boolean,
				zipCode: String,
				unemployment: Boolean,
				assistance: {
					socSec: false,
					TANF: false,
					finAid: false,
					other: false,
					SNAP: false,
					WIC: false,
					breakfast: false,
					lunch: false,
					SFSP: false
				},
			guestAge: Number,
			numberInHousehold: Number
			})
		},
		existingGuest: {
			type: Boolean
		}
  }
}
</script>

<style>
.container {
	margin: auto;
	max-width: auto;
	/* padding: 1vh 4vh 1vh 4vh; */
	text-align: left;
	background-color: rgba(0, 0, 0, .02)
}

form {
    margin: auto;
    max-width: 90%;
    padding: 1vh 4vh 1vh 4vh;
    text-align: left;
    background-color: rgba(0, 0, 0, .02)
}
/* remove arrows on input field Firefox */
.form-control input[type="number"] {
 margin-bottom: 10px;
 border-top-left-radius: 0;
 border-top-right-radius: 0;
}

/* remove arrows on input field Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
</style>
